/*
		    Manual Page Viewer: Drag and Drop

 */

#ifndef VIEWERDND_H
#define VIEWERDND_H

#include <gtk/gtk.h>
#include "viewer.h"


/* DND data command string parsing */
void ViewerIndexCTreeDNDParseCmd(
	const gchar *string,
	viewer_struct **viewer_ptr,
	GtkCTreeNode ***branch, int *total_branches
);

/* DND handling */
extern void ViewerIndexCTreeDNDDataRequestCB(
	GtkWidget *widget, GdkDragContext *dc,
	GtkSelectionData *selection_data, guint info, guint t,
	gpointer data
);
extern void ViewerViewTextDNDDataRecievedCB(
	GtkWidget *widget, 
	GdkDragContext *dc,
	gint x, gint y,
	GtkSelectionData *selection_data,
	guint info, guint t,
	gpointer data  
);
extern void ViewerDNDDataDeleteCB(
	GtkWidget *widget, GdkDragContext *dc, gpointer data
);


#endif	/* VIEWERDND_H */
